- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_UIOP_Acceptor Class Reference

The UIOP-specific bridge class for the concrete acceptor. More...

`#include <UIOP_Acceptor.h>`

Inheritance diagram for TAO_UIOP_Acceptor:

[legend]
Collaboration diagram for TAO_UIOP_Acceptor:

[legend]
List of all members.

## Public Types
typedef ACE_Strategy_Acceptor< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR > | TAO_UIOP_BASE_ACCEPTOR
typedef TAO_Creation_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CREATION_STRATEGY
typedef TAO_Concurrency_Strategy< TAO_UIOP_Connection_Handler > | TAO_UIOP_CONCURRENCY_STRATEGY
typedef TAO_Accept_Strategy< TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR > | TAO_UIOP_ACCEPT_STRATEGY
## Public Member Functions
| TAO_UIOP_Acceptor (CORBA::Boolean flag=0)
| Create Acceptor object using addr.
virtual | ~TAO_UIOP_Acceptor (void)
| Destructor.
The TAO_Acceptor Methods
Please check the documentation in Transport_Acceptor.h for details.
virtual int | open (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *address, const char *options=0)
virtual int | open_default (TAO_ORB_Core *orb_core, ACE_Reactor *reactor, int version_major, int version_minor, const char *options=0)
virtual int | close (void)
virtual int | create_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
virtual int | is_collocated (const TAO_Endpoint *endpoint)
virtual CORBA::ULong | endpoint_count (void)
virtual int | object_key (IOP::TaggedProfile &profile, TAO::ObjectKey &key)
## Private Member Functions
int | open_i (const char *rendezvous, ACE_Reactor *reactor)
| Implement the common part of the open*() methods.
void | rendezvous_point (ACE_UNIX_Addr &, const char *rendezvous)
int | parse_options (const char *options)
| Parse protocol specific options.
int | init_uiop_properties (void)
int | create_new_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Create a UIOP profile representing this acceptor.
int | create_shared_profile (const TAO::ObjectKey &object_key, TAO_MProfile &mprofile, CORBA::Short priority)
| Add the endpoints on this acceptor to a shared profile.
## Private Attributes
TAO_UIOP_BASE_ACCEPTOR | base_acceptor_
| The concrete acceptor, as a pointer to its base class.
TAO_UIOP_CREATION_STRATEGY * | creation_strategy_
TAO_UIOP_CONCURRENCY_STRATEGY * | concurrency_strategy_
TAO_UIOP_ACCEPT_STRATEGY * | accept_strategy_
TAO_GIOP_Message_Version | version_
| The GIOP version for this endpoint.
TAO_ORB_Core * | orb_core_
| ORB Core.
bool | unlink_on_close_
const bool | lite_flag_
| Should we use GIOP lite??

## Detailed Description

The UIOP-specific bridge class for the concrete acceptor.

## Member Typedef Documentation

typedef TAO_Accept_Strategy<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_ACCEPT_STRATEGY

typedef ACE_Strategy_Acceptor<TAO_UIOP_Connection_Handler, ACE_LSOCK_ACCEPTOR> TAO_UIOP_Acceptor::TAO_UIOP_BASE_ACCEPTOR

typedef TAO_Concurrency_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CONCURRENCY_STRATEGY

typedef TAO_Creation_Strategy<TAO_UIOP_Connection_Handler> TAO_UIOP_Acceptor::TAO_UIOP_CREATION_STRATEGY

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_UIOP_Acceptor::TAO_UIOP_Acceptor | ( | CORBA::Boolean | flag = `0` | ) |

Create Acceptor object using addr.

TAO_UIOP_Acceptor::~TAO_UIOP_Acceptor | ( | void |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

int TAO_UIOP_Acceptor::close | ( | void |  | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::create_new_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[private]`

Create a UIOP profile representing this acceptor.

int TAO_UIOP_Acceptor::create_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::create_shared_profile | ( | const TAO::ObjectKey & | object_key,
|  | TAO_MProfile & | mprofile,
|  | CORBA::Short | priority |
| ) |  |  | `[private]`

Add the endpoints on this acceptor to a shared profile.

CORBA::ULong TAO_UIOP_Acceptor::endpoint_count | ( | void |  | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::init_uiop_properties | ( | void |  | ) | `[private]`

Obtains uiop properties that must be used by this acceptor, i.e., initializes <uiop_properties_>.

int TAO_UIOP_Acceptor::is_collocated | ( | const TAO_Endpoint * | endpoint | ) | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::object_key | ( | IOP::TaggedProfile & | profile,
|  | TAO::ObjectKey & | key |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::open | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | version_major,
|  | int | version_minor,
|  | const char * | address,
|  | const char * | options = `0` |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::open_default | ( | TAO_ORB_Core * | orb_core,
|  | ACE_Reactor * | reactor,
|  | int | version_major,
|  | int | version_minor,
|  | const char * | options = `0` |
| ) |  |  | `[virtual]`

Implements TAO_Acceptor.

int TAO_UIOP_Acceptor::open_i | ( | const char * | rendezvous,
|  | ACE_Reactor * | reactor |
| ) |  |  | `[private]`

Implement the common part of the open*() methods.

int TAO_UIOP_Acceptor::parse_options | ( | const char * | options | ) | `[private]`

Parse protocol specific options.

void TAO_UIOP_Acceptor::rendezvous_point | ( | ACE_UNIX_Addr & | ,
|  | const char * | rendezvous |
| ) |  |  | `[private]`

Set the rendezvous point and verify that it is valid (e.g. wasn't truncated because it was too long).

## Member Data Documentation

TAO_UIOP_ACCEPT_STRATEGY* TAO_UIOP_Acceptor::accept_strategy_`[private]`

TAO_UIOP_BASE_ACCEPTOR TAO_UIOP_Acceptor::base_acceptor_`[private]`

The concrete acceptor, as a pointer to its base class.

TAO_UIOP_CONCURRENCY_STRATEGY* TAO_UIOP_Acceptor::concurrency_strategy_`[private]`

TAO_UIOP_CREATION_STRATEGY* TAO_UIOP_Acceptor::creation_strategy_`[private]`

const bool TAO_UIOP_Acceptor::lite_flag_`[private]`

Should we use GIOP lite??

TAO_ORB_Core* TAO_UIOP_Acceptor::orb_core_`[private]`

ORB Core.

bool TAO_UIOP_Acceptor::unlink_on_close_`[private]`

Flag that determines whether or not the rendezvous point should be unlinked on close. This is really only used when an error occurs.

TAO_GIOP_Message_Version TAO_UIOP_Acceptor::version_`[private]`

The GIOP version for this endpoint.

The documentation for this class was generated from the following files:

- UIOP_Acceptor.h
- UIOP_Acceptor.cpp